net.dontdrinkandroot.wicket.bootstrap.behavior

## Class ToolTipBehavior

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - net.dontdrinkandroot.wicket.bootstrap.behavior.ToolTipBehavior

All Implemented Interfaces:
  Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class ToolTipBehavior
    extends org.apache.wicket.behavior.Behavior

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `ToolTipBehavior.Position`

### Constructor Summary

Constructors
Constructor and Description
`ToolTipBehavior(org.apache.wicket.model.IModel<String> textModel)`

### Method Summary

Methods
`void` `bind(org.apache.wicket.Component component)`
`Integer` `getDelay()`
`protected org.apache.wicket.model.IModel<Integer>` `getDelayModel()`
`ToolTipBehavior.Position` `getPosition()`
`protected org.apache.wicket.model.IModel<ToolTipBehavior.Position>` `getPositionModel()`
`void` `renderHead(org.apache.wicket.Component component, org.apache.wicket.markup.head.IHeaderResponse response)`
`ToolTipBehavior` `setDelay(Integer delay)`
`ToolTipBehavior` `setPosition(ToolTipBehavior.Position position)`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`afterRender, beforeRender, canCallListenerInterface, detach, getStatelessHint, isEnabled, isTemporary, onComponentTag, onConfigure, onEvent, onException, onRemove, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ToolTipBehavior

    public ToolTipBehavior(org.apache.wicket.model.IModel<String> textModel)

### Method Detail

#### bind

    public void bind(org.apache.wicket.Component component)

Overrides:
  `bind` in class `org.apache.wicket.behavior.Behavior`

#### renderHead

    public void renderHead(org.apache.wicket.Component component,
                  org.apache.wicket.markup.head.IHeaderResponse response)

Specified by:
  `renderHead` in interface `org.apache.wicket.markup.html.IComponentAwareHeaderContributor`
Overrides:
  `renderHead` in class `org.apache.wicket.behavior.Behavior`

#### getDelay

    public Integer getDelay()

#### setDelay

    public ToolTipBehavior setDelay(Integer delay)

#### getPosition

    public ToolTipBehavior.Position getPosition()

#### setPosition

    public ToolTipBehavior setPosition(ToolTipBehavior.Position position)

#### getPositionModel

    protected org.apache.wicket.model.IModel<ToolTipBehavior.Position> getPositionModel()

#### getDelayModel

    protected org.apache.wicket.model.IModel<Integer> getDelayModel()